[
{
    blockid=expire;
    help=store_expire_expire;
    custom=com.netscape.management.msgserv.StoreExpireControl;
    localvar={
	/* translate this block */
	.header.text="\u81ea\u52d5\u90f5\u4ef6\u79fb\u9664\u7b56\u7565 (\u904e\u671f\u548c\u6e05\u9664)";
	.rules.text="\u904e\u671f\u898f\u5247";	.col0.header="\u5c08\u7528";
	.col1.header="\u540d\u7a31";
	.col2.header="\u76ee\u6a19";
	.col3.header="\u8cc7\u6599\u593e\u5927\u5c0f";
	.col4.header="\u8a08\u6578";
	.col5.header="\u5e74\u4ee3";
	.col6.header="\u90f5\u4ef6\u5927\u5c0f";
	.col7.header="\u5bec\u9650\u671f";
	.col8.header="\u5df2\u8b80\u53d6";
	.col9.header="\u5df2\u522a\u9664";
	.rule.help="\u90f5\u4ef6\u5132\u5b58\u904e\u671f\u898f\u5247";
	.save.error="\u7121\u6cd5\u5132\u5b58\u904e\u671f\u898f\u5247\u8a2d\u5b9a";
	
        .sched.title="\u904e\u671f/\u6e05\u9664\u6392\u7a0b";
        .sched.expire.text="\u57f7\u884c\u904e\u671f\u5de5\u4f5c ";
        .sched.purge.text="\u57f7\u884c\u6e05\u9664\u5de5\u4f5c (\u9810\u8a2d\u70ba\uff0c\u7d50\u675f\u904e\u671f\u6642) ";
        .sched.month=["\u6bcf","1","2","3","4","5","6","7","8","9","10","11","12"];
        .sched.monthlabel="\u6708";
        .sched.dofmth=["\u6bcf","1","2","3","4","5","6","7","8","9","10","11","13","14","15","16","17","18","19","20","21","22","23","24","25","26","27","28","29","30","31"];
        .sched.dofwk=["\u6bcf","0","1","2","3","4","5","6"];
        .sched.dofmthlabel="\u65e5";
        .sched.dofwklabel="\u8acb\u8f38\u5165\u661f\u671f\u51e0";
        .sched.hour=["\u6bcf","0","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19","20","21","22","23"];
        .sched.min =["\u6bcf","0","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19","20","21","22","23","24","25","26","27","28","29","30","31","32","33","34","35","36","37","38","39","40","41","42","43","44","45","46","47","48","49","50","51","52","53","54","55","56","57","58","59"];
        .sched.hourlabel="\u6642";
        .sched.minlabel="\u5206";	
    };
    content=[
	{
	    ctrl=pane;
	    layout=[ybox];
	    content=[
		{
		    ctrl=label;
		    text=$.header.text;
		    wrap=$g.label.size5;
		    font=["","",16];
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=separator;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=label;
		    id=rulelabel;
		    text=$.rule.help;
		},
		{
		    ctrl=table;
		    id=ruletable;
		    label=rulelabel;
		    showedit=true;
  		    addtext=$g.addbutton.text;
	            edittext=$g.editbutton.text;
		    deltext=$g.deletebutton.text;
		    columns=[
			{
			    header=$.col0.header;
			    renderer=boolean;
			    editor=boolean;
			    width=30;
			},
			{
			    header=$.col1.header;
			    width=70;
			},
			{
			    header=$.col2.header;
			    width=90;
			},
			{
			    header=$.col3.header;
			    width=80;
			},
			{
			    header=$.col4.header;
			    width=50;
			},
			{
			    header=$.col5.header;
			    width=30;
			},
			{
			    header=$.col6.header;
			    width=50;
			},
			{
			    header=$.col7.header;
			    width=30;
			},
			{
			    header=$.col8.header;
			    width=30;
			},
			{
			    header=$.col9.header;
			    width=30;
			}			
		    ];
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=label;
		    text=$.sched.title;
		    wrap=$g.label.size5;
		    font=["","",16];
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=separator;
		},
		{ /** expire/purge schedule pane **/
		    ctrl=pane;
		    layout=[ybox];
		    border=$.sched.border;
		    content=[
		 	{			
			    ctrl=pane;
			    content=[
			    	{
			    		ctrl=label;
			    		id=expirelabel;
			    		text=$.sched.expire.text;
			    		wrap=$g.label.size1;
			    	},
			    	{
			    		ctrl=hglue;
			    	}

			   ]
			},		    
		 	{			
			    ctrl=pane;
			    
			    content=[
			    	{
			    		ctrl=hglue;
			    	},
			    	{ 
			    		ctrl=text;
			    		id=expiremonth;
					val="*";
			    		label=expirelabel;			    	
			    	},
			    	{
			    		ctrl=rigid;
			    	},
			    	{
			    		ctrl=label;
			    		text=$.sched.monthlabel;
			    		wrap=$g.label.size1;
			    	}
			   ]
			},
		 	{			
			    ctrl=pane;
			    content=[
			        {
			        	ctrl=hglue;
			        },
			    	{ 
			    		ctrl=text;
			    		id=expiredofmth;
					val="*";
			    		label=expirelabel;			    		
			    	},
			    	{
			    		ctrl=rigid;
			    	},
			    	{
			    		ctrl=label;
			    		text=$.sched.dofmthlabel;
			    		wrap=$g.label.size1;
			    	}
			   ]
			},
		 	{			
			    ctrl=pane;
			    content=[
			     	{
			     		ctrl=hglue;
			     	},
			    	{ 
			    		ctrl=text;
			    		id=expiredofwk;
					val="*";
			    		label=expirelabel;			    		
			    	},
			    	{
			    		ctrl=rigid;
			    	},
			    	{
			    		ctrl=label;
			    		text=$.sched.dofwklabel;
			    		wrap=$g.label.size1;
			    	}
			   ]
			},
		 	{			
			    ctrl=pane;
			    content=[
			     	{
			     		ctrl=hglue;
			     	},
			    	{ 
			    		ctrl=text;
			    		id=expirehour;
					val="*";
			    		label=expirelabel;			    		
			    	},
			    	{
			    		ctrl=rigid;
			    	},
			    	{
			    		ctrl=label;
			    		text=$.sched.hourlabel;
			    		wrap=$g.label.size1;
			    	}
			   ]
			},
		 	{			
			    ctrl=pane;
			    content=[
			     	{
			     		ctrl=hglue;
			     	},
			    	{ 
			    		ctrl=text;
			    		id=expiremin;
					val="*";
			    		label=expirelabel;			    		
			    	},
			    	{
			    		ctrl=rigid;
			    	},
			    	{
			    		ctrl=label;
			    		text=$.sched.minlabel;
			    		wrap=$g.label.size1;
			    	}
			   ]
			},
			{
			    ctrl=vstrut;
			},
			{
			    ctrl=separator;
			},
			{
			    ctrl=vstrut;
			},
			/* purge schedule */
		 	{			
			    ctrl=pane;
			    content=[
			    	{
			    		ctrl=label;
			    		id=purgelabel;
			    		text=$.sched.purge.text;
			    		wrap=$g.label.size5;
			    	},
			    	{
			    		ctrl=hglue;
			    	}

			   ]
			},		    
		 	{			
			    ctrl=pane;
			    content=[
			    	{
			    		ctrl=hglue;
			    	},
			    	{ 
			    		ctrl=text;
			    		id=purgemonth;
					val="*";
			    		label=purgelabel;
			    	},
			    	{
			    		ctrl=rigid;
			    	},
			    	{
			    		ctrl=label;
			    		text=$.sched.monthlabel;
			    		wrap=$g.label.size1;
			    	}
			   ]
			},
		 	{			
			    ctrl=pane;
			    content=[
			        {
			        	ctrl=hglue;
			        },
			    	{ 
			    		ctrl=text;
			    		id=purgedofmth;
					val="*";
			    		label=purgelabel;
			    	},
			    	{
			    		ctrl=rigid;
			    	},
			    	{
			    		ctrl=label;
			    		text=$.sched.dofmthlabel;
			    		wrap=$g.label.size1;
			    	}
			   ]
			},
		 	{			
			    ctrl=pane;
			    content=[
			     	{
			     		ctrl=hglue;
			     	},
			    	{ 
			    		ctrl=text;
			    		id=purgedofwk;
					val="*";
			    		label=purgelabel;
			    	},
			    	{
			    		ctrl=rigid;
			    	},
			    	{
			    		ctrl=label;
			    		text=$.sched.dofwklabel;
			    		wrap=$g.label.size1;
			    	}
			   ]
			},
		 	{			
			    ctrl=pane;
			    content=[
			     	{
			     		ctrl=hglue;
			     	},
			    	{ 
			    		ctrl=text;
			    		id=purgehour;
					val="*";
			    		label=purgelabel;
			    	},
			    	{
			    		ctrl=rigid;
			    	},
			    	{
			    		ctrl=label;
			    		text=$.sched.hourlabel;
			    		wrap=$g.label.size1;
			    	}
			   ]
			},
		 	{			
			    ctrl=pane;
			    content=[
			     	{
			     		ctrl=hglue;
			     	},
			    	{ 
			    		ctrl=text;
			    		id=purgemin;
					val="*";
			    		label=purgelabel;
			    	},
			    	{
			    		ctrl=rigid;
			    	},
			    	{
			    		ctrl=label;
			    		text=$.sched.minlabel;
			    		wrap=$g.label.size1;
			    	}
			   ]
			}																			
		    ]
		}
	    ]
	}
    ]
},
{
    blockid=editrule;
    help=store_expire_editrule;
    localvar={
	/* translate this block */
	.name.text="\u540d\u7a31\uff1a";
	.target.text="\u5957\u7528\u81f3\u7b26\u5408\u4ee5\u4e0b\u5f0f\u6a23\u7684\u8cc7\u6599\u593e\uff1a";
	.folder.title="\u8cc7\u6599\u593e\u5927\u5c0f\u9650\u5236";
	.sizelimit.text="\u79fb\u9664\u6700\u820a\u7684\u90f5\u4ef6\uff0c\u76f4\u5230\u4ee5\u4e0b\u60c5\u6cc1\u70ba\u771f\u3002";
	.num.text="\u90f5\u4ef6\u6578\u76ee\uff1a";
	.msgage.text="\u90f5\u4ef6\u5b58\u5728\u6642\u9593\u9650\u5236";
	.agelimit.text="\u79fb\u9664\u8cc7\u6599\u593e\u4e2d\u5b58\u5728\u6642\u9593\u9577\u65bc\u6307\u5b9a\u5929\u6578\u7684\u90f5\u4ef6\u3002";
	.msgsize.title="\u90f5\u4ef6\u5927\u5c0f\u9650\u5236";
	.msizelimit.text="\u79fb\u9664\u5927\u65bc\u6307\u5b9a\u5927\u5c0f\u7684\u90f5\u4ef6\u548c\u8cc7\u6599\u593e\u4e2d\u9577\u65bc\u5bec\u9650\u671f\u7684\u90f5\u4ef6\u3002";
	.days.text="\u5929\u6578\uff1a";
	.days.labels=["\u5929"];
	.exclusive.help="\u4f7f\u6b64\u6210\u70ba\u7b26\u5408\u4e0a\u8ff0\u6307\u5b9a\u5f0f\u6a23\u7684\u8cc7\u6599\u593e\u7684\u5c08\u7528\u898f\u5247\u3002";
	.exclusive.text="\u5c08\u7528";

	.size.text="\u8cc7\u6599\u593e\u5927\u5c0f\uff1a";
	.size.labels=["KB","MB"];
	.msgsize.text="\u90f5\u4ef6\u5927\u5c0f\u9650\u5236\uff1a";
	.msgsize.labels=["KB","MB"];
	.sizeday.labels=["\u5929"];
	.sizeday.text="\u5bec\u9650\u671f\uff1a";
        .purge.labels=["\u5c0f\u6642"];
	.purge.text="\u6e05\u9664\u6642\u9593\uff1a";

        .msgflags.title="\u90f5\u4ef6\u65d7\u6a19\u9650\u5236";
        .msgflags.text="\u4f9d\u64da\u4ee5\u4e0b\u65d7\u6a19\u503c\u79fb\u9664\u90f5\u4ef6\u3002";
        .msgflags.seen.text="\u5df2\u8b80\u53d6\uff1a";
        .msgflags.deleted.text="\u5df2\u522a\u9664\uff1a";
        .msgflags.vals=["\u548c","\u6216\u8005"];
        .msgflags.labels=["\u548c\u6240\u6709\u9650\u5236","\u6216\u6240\u6709\u9650\u5236"];
        
        .usrheader.title="\u6a19\u984c\u9650\u5236";
        .usrheader.text="\u8f38\u5165\u81ea\u8a02\u6a19\u984c\u503c\uff0c\u4f7f\u7528\u9017\u865f\u5206\u9694\u3002";
        
        
    };
    content=[
	{
	    ctrl=pane;
	    layout=[ybox];
	    content=[
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=namelabel;
			    text=$.name.text;
			    wrap=$g.label.size0;
			    aligny=0.5;
			},
			{
			    ctrl=text;
			    label=namelabel;
			    val=$name;
			    aligny=0.5;
			    focus=true;
			},
			{
			    ctrl=hglue;
			}
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=label;
		    id=targetlabel;
		    text=$.target.text;
		    wrap=$g.label.size4;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=text;
		    label=targetlabel;
		    val=$Folderpattern;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=togglepane;
		    text=$.exclusive.text;
		    val=$Exclusive;
		    content=[
			{
			    ctrl=label;
			    text=$.exclusive.help;
			    wrap=$g.label.size5;
			    candisable=false;
			},
			{
			    ctrl=hglue;
			}
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=togglepane;
		    layout=[ybox];
		    text=$.folder.title;
		    val=$.folder.flag;
		    content=[
			{
			    ctrl=label;
			    text=$.sizelimit.text;
			    wrap=$g.label.size5;
			},
			{
			    ctrl=vstrut;
			},
			{
			    ctrl=pane;
			    content=[
				{
				    ctrl=label;
				    id=numlabel;
				    text=$.num.text;
				    wrap=$g.label.size1;
				    aligny=0.5;
				},
				{
				    ctrl=rigid;
				},
				{
				    ctrl=number;
				    label=numlabel;
				    val=$Messagecount;
				    aligny=0.5;
				    allowempty=true;
				},
				{
				    ctrl=hglue;
				}
			    ]
			},
			{
			    ctrl=vstrut;
			},
			{
			    ctrl=pane;
			    content=[
				{
				    ctrl=label;
				    id=sizelabel;
				    text=$.size.text;
				    wrap=$g.label.size1;
				    aligny=0.5;
				},
				{
				    ctrl=rigid;
				},
				{
				    ctrl=number;
				    label=sizelabel;
				    val=$Foldersizebytes;
				    items=[kb,mb];
				    labels=$.size.labels;
				    unit=byte;
				    aligny=0.5;
				    allowempty=true;
				},
				{
				    ctrl=hglue;
				}
			    ]
			}
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=togglepane;
		    layout=[ybox];
		    text=$.msgage.text;
		    val=$.msgage.flag;
		    content=[
			{
			    ctrl=label;
			    text=$.agelimit.text;
			    wrap=$g.label.size5;
			},
			{
			    ctrl=vstrut;
			},
			{
			    ctrl=pane;
			    content=[
				{
				    ctrl=label;
				    id=dayslabel;
				    text=$.days.text;
				    wrap=$g.label.size1;
				    aligny=0.5;
				},
				{
				    ctrl=rigid;
				},
				{
				    ctrl=number;
				    label=dayslabel;
				    val=$Messagedays;
				    labels=$.days.labels;
				    aligny=0.5;
				    allowempty=true;
				},
				{
				    ctrl=hglue;
				}
			    ]
			}
		    ]
		},
		{
		    ctrl=togglepane;
		    layout=[ybox];
		    text=$.msgsize.title;
		    val=$.msgsize.flag;
		    content=[
			{
			    ctrl=label;
			    text=$.msizelimit.text;
			    wrap=$g.label.size5;
			},
			{
			    ctrl=vstrut;
			},
			{
			    ctrl=pane;
			    content=[
				{
				    ctrl=label;
				    id=msgsizelabel;
				    text=$.msgsize.text;
				    wrap=$g.label.size1;
				    aligny=0.5;
				},
				{
				    ctrl=rigid;
				},
				{
				    ctrl=number;
				    label=msgsizelabel;
				    val=$Messagesize;
				    items=[kb,mb];
				    labels=$.msgsize.labels;
				    unit=byte;
				    aligny=0.5;
				    allowempty=true;
				},
				{
				    ctrl=hglue;
				}
			    ]
			},
			{
			    ctrl=vstrut;
			},
			{
			    ctrl=pane;
			    content=[
				{
				    ctrl=label;
				    id=sizedaylabel;
				    text=$.sizeday.text;
				    wrap=$g.label.size1;
				    aligny=0.5;
				},
				{
				    ctrl=rigid;
				},
				{
				    ctrl=number;
				    label=sizedaylabel;
				    val=$Messagesizedays;
				    labels=$.sizeday.labels;
				    aligny=0.5;
				    allowempty=true;
				},
				{
				    ctrl=hglue;
				}
			    ]
			}

		    ]
		},
                { /** message flags pane **/
                    ctrl=togglepane;
                    layout=[ybox];
                    text=$.msgflags.title;
                    val=$.msgflags.flag;
                    content=[
                        {
                            ctrl=label;
                            text=$.msgflags.text;
                            wrap=$g.label.size5;
                        },
                        {
                            ctrl=vstrut;
                        },
			{
			    ctrl=pane;
			    content=[
				{
				    ctrl=label;
				    id=seenlabel;
				    text=$.msgflags.seen.text;
				    wrap=$g.label.size1;
				    aligny=0.5;
				},
				{
				    ctrl=rigid;
				},
				{
				    ctrl=choice;
				    label=seenlabel;
				    labels=$.msgflags.labels;
				    items=$.msgflags.vals;
				    
				    val=$Seen;
				    aligny=0.5;
				    allowempty=true;
				},
				{
				    ctrl=hglue;
				}
			    ]
			},
			{
			    ctrl=vstrut;
			},
			{
			    ctrl=pane;
			    content=[
				{
				    ctrl=label;
				    id=deletedlabel;
				    text=$.msgflags.deleted.text;
				    wrap=$g.label.size1;
				    aligny=0.5;
				},
				{
				    ctrl=rigid;
				},
				{
				    ctrl=choice;
				    label=deletedlabel;
				    labels=$.msgflags.labels;
				    items=$.msgflags.vals;
				    val=$Deleted;
				    aligny=0.5;
				    allowempty=true;
				},
				{
				    ctrl=hglue;
				}
			    ]
			}			
                        
  		    ]
		},
		{ /** user-defined constraint pane **/
		    ctrl=togglepane;
		    layout=[ybox];
		    text=$.usrheader.title;
		    val=$.usrheader.flag;
		    content=[
		 	{			
			    ctrl=label;
			    id=usrheaderlabel;
			    text=$.usrheader.text;
			    wrap=$g.label.size4;
			},
			{
			    ctrl=vstrut;
			},
			{
			    ctrl=text;
			    label=usrheaderlabel;
			    val=$Usrheader;
			},   
			{
			    ctrl=hglue;
			}		    

		    ]
		},

		{
		    ctrl=vstrut;
		}
	    ]
	}
    ]
}
]

